"use strict";

const Promise = require("bluebird");
const createSession = require("@modular-matrix/create-session");
const getUploadSizeLimit = require(".");

return Promise.try(() => {
	return createSession("https://pixie.town/", { accessToken: require("../../../private/access-token") });
}).then((session) => {
	return Promise.try(() => {
		return getUploadSizeLimit(session);
	}).then((result) => {
		console.log(result);
	});
});
